PDA

View Full Version : SLED 11 SP4 problem with playing video files



Hunn
10-Nov-2017, 17:14
Hello.
I have a problem with SUSE-Linux-Enterprise-Desktop-11-SP4 11.4.4-1.44.
Video files (except .avi files) do not playing. Programms write:
"PackageKit-gstreamer-plugin require Decoder H.264. Find it now?". Then I klick "Find" and programm write: "Can not find". There's no updates now for this version Linux.
Please, help to desolve the problem.
Best regards.
Yulia

malcolmlewis
10-Nov-2017, 19:20
Hi and welcome to the forum :)
Yes, this is the case with both SUSE and openSUSE.

You can either purchase the fluendo codec pack or add the packman repository and via YaST software Managerment switch the system packages (eg gstreamer) to the tweaked packages;

Change to a mirror in your locale from the list here;

http://packman.links2linux.org/mirrors

Use zypper rather than YaST, eg;


zypper ar -f -g -n "Packman" http://packman.inode.at/suse/SLE_11/ repo-packman
zypper ref
zypper dup --from repo-packman

hcp_dk
06-Jan-2018, 21:11
Pack an is a good idea. But SUSE has been clever.
SUSE 12.2 is e,g. Leap 42.2
SUSE 12.3 is Leap 42.3
so both systems are very alike.
You can use a installer from opensuse "media files" as well and install the missing condecs. Then install VLC player NOT from SUSE or Open Suse but directly or from packman. You cange the default application in YAST-Settings-Details to VLC.
For Firefox you need to install HTML5- Flash add and for Facebook Facebook flash codec.
Then it works.

AndreasMeyer
10-Jan-2018, 21:46
You can play video files with hardware acceleration on SLED12 with Fluendo ONEPlay Codec Pack (20.- ):

https://fluendo.com/en/products/multimedia/oneplay-codec-pack/

https://en.wikipedia.org/wiki/GStreamer#Video_acceleration


You can't play HTML5 videos with hardware acceleration on SLED12! See:

https://bugzilla.mozilla.org/show_bug.cgi?format=default&id=563206

https://bbs.archlinux.org/viewtopic.php?id=206265


General support for SLED 11 SP4 finished at the end of March 2016, so no more security updates....
https://www.suse.com/lifecycle/

SLES 11 SP4 ends in 2019 which still has security updates...